> ## Documentation Index
> Fetch the complete documentation index at: https://agent-docs.akta.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# akta.pro API Overview

> Introduction to the akta.pro API platform, its data products, and how to start building.

[akta.pro](http://akta.pro) builds private company data and signals API for the agent economy

<Columns cols={3}>
  <Column>
    <Card title="Pitchbook-quality data, pay as you go" icon="database" />
  </Column>

  <Column>
    <Card title="100+ event signals and triggers" icon="chart-line" />
  </Column>

  <Column>
    <Card title="Built for AI and agent workflows" icon="robot" />
  </Column>
</Columns>

## Get started

<Columns cols={2}>
  <Column>
    <Card title="Get your API key" icon="key" href="https://playground.akta.pro/signup">
      Generate an API key in the Playground and start querying live data.
    </Card>
  </Column>

  <Column>
    <Card title="Connect via MCP or CLI" icon="play" href="https://docs.akta.pro/docs/developer-tools/mcp/setup">
      Sign-up and connect to your agent — Claude, ChatGPT, VS Code etc.
    </Card>
  </Column>
</Columns>

<Steps>
  <Step title="Create an API key">
    * After logging in, open API Keys from the left sidebar.
    * Enter a name for your API key (for example: `Production API Key` )
    * Then click 'Add API key'.
  </Step>

  <Step title="Copy and store your API key">
    * The API key is shown once. Copy it immediately and store it somewhere safe. If it's lost, a new one will need to be created.
    * Your key will look similar to this: `wk_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx`

    <Warning>
      Never share your API key publicly or commit it to source control.
    </Warning>
  </Step>

  <Step title="Make your first API request">
    Try company search endpoint to start with. Make sure to replace YOUR\_API\_KEY with the actual API key in the code snippets below.

    <CodeGroup>
      ```text cURL theme={null}
      curl -G "https://api.akta.pro/api/v1/company/search/?query=canva" \
        -H "x-api-key: YOUR_API_KEY"
      ```

      ```text Python theme={null}
      import requests

      url = "https://api.akta.pro/api/v1/company/search/"
      headers = {"x-api-key": "YOUR_API_KEY"}
      params = {"query": "canva"}

      response = requests.get(url, headers=headers, params=params)
      data = response.json()

      for company in data["data"]:
          print(company["name"], company["website"])
          print(company["company_status"], company["product_category"])
          print()
      ```
    </CodeGroup>

    Now you can start exploring other endpoints such as [Company Data](/api-reference/company-data) and [News Signals](/api-reference/news-signals)
  </Step>
</Steps>

## Data API Products

<Columns cols={2}>
  <Column>
    <Card title="Company Data" icon="database" href="/docs/company-data/overview">
      70+ data points for 20M+ private and public companies globally
    </Card>

    <Card title="Alternative Signals" icon="signal-stream" href="/docs/alternative-data">
      Social media, jobs, reviews, headcount trends, website traffic
    </Card>

    <Card title="Supporting APIs" icon="magnifying-glass" href="/docs/supporting-apis">
      Company and industry search to resolve UUIDs and taxonomy codes
    </Card>
  </Column>

  <Column>
    <Card title="News Signals" icon="newspaper" href="/docs/news-signals/overview">
      Live and historical news; entity resolved, de-duped, 80+ event signals
    </Card>

    <Card title="List Generation" icon="list-check" href="/docs/list-generation/overview">
      Build targeted company lists using structured filters
    </Card>
  </Column>
</Columns>
